#!/bin/sh
( cd usr/share/doc/gftp-2.0.11 ; rm -rf INSTALL )
( cd usr/share/doc/gftp-2.0.11 ; ln -sf /usr/share/automake-1.11/INSTALL INSTALL )

# Figure out our root directory
ROOTDIR=$(pwd)
unset CHROOT
if [ "${ROOTDIR}" != "/" ] ; then
  ROOTDIR="${ROOTDIR}/"
  CHROOT="chroot ${ROOTDIR} "
fi

# update the applications menu database
if [ -x usr/bin/update-desktop-database ] ; then
 ${CHROOT} usr/bin/update-desktop-database -q usr/share/applications 2> /dev/null
fi


# update the gtk-icon-cache
if [ -x usr/bin/gtk-update-icon-cache ] ; then
  for dir in usr/share/icons/* ; do
    if [ -d $dir ]; then
       ${CHROOT} usr/bin/gtk-update-icon-cache --quiet -f -t $dir 2> /dev/null
    fi
  done
fi

